@import url('https://fonts.googleapis.com/css2?family=Krona+One&family=Montserrat:wght@400;600&display=swap');

:root {
    --cor-primaria: #000000;
    --cor-secundaria: #F8F4EC;
    --cor-terciaria: #D63484;
    --cor-quatenaria: #FF9BD2;
    --cor-hover: #402B3A;

    --fonte-primaria: 'Krona One', sans-serif;
    --fonte-secundaria: 'Montserrat', sans-serif;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box; 
}

body {
    background-image: url('../assets/fundodegatinho.jpg');
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    background-color: var(--cor-primaria); 
    color: var(--cor-secundaria);
    font-family: var(--fonte-secundaria);
    padding-bottom: 100px;  
    min-height: 100vh; 
    position: relative; 
}

/* Estilos para o cabeçalho */
.cabecalho {
    padding: 2% 0% 0% 15%;
}

.cabecalho__menu {
    display: flex;
    gap: 80px;
}

.cabecalho__menu__link {
    font-size: 1.5rem;
    font-weight: 600;
    color: var(--cor-quatenaria);
    text-decoration: none;
}

.apresentacao {
    padding: 6% 15%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 82px;
}

.apresentacao__conteudo {
    width: 50%;
    display: flex;
    flex-direction: column;
    gap: 40px;
}

.linguagens{
    color: var(--cor-terciaria);
}

.cargo {
    color: var(--cor-terciaria);
}

.apresentacao__conteudo__titulo {
    font-size: 2.25rem;
    font-family: var(--fonte-primaria);
    text-align: center;
    color: var(--cor-secundaria);
}

.titulo-destaque {
    color: var(--cor-terciaria);
}

.apresentacao__imagemabout{
    max-width: 40%;
}

.apresentacao__conteudo__textohome {
    font-size: 1.5rem;
    font-family: var(--fonte-secundaria);
    text-align: center;
}
.apresentacao__conteudo__texto {
    font-size: 1rem;
    font-family: var(--fonte-secundaria);
    text-align: left;
}

.apresentacao__links {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    gap: 32px;
}

.apresentacao__links__subtitulo{
    font-family: var(--fonte-primaria);
    color: var(--cor-quatenaria);
    font-weight: 400;
    font-size: 1.5rem;
}

.apresentacao__links__navegacao {
    background-color: var(--cor-quatenaria);
    display: flex;
    justify-content: center;
    gap: 19px;
    border: 5px solid var(--cor-quatenaria);
    width: 378px;
    text-align: center;
    border-radius: 28px;
    font-size: 1.8rem;
    font-weight: 600;
    padding: 21.5px 0;
    text-decoration: none;
    color: #000000;
    font-family: var(--fonte-secundaria);
}
.apresentacao__imagem {
    max-width: 40%;
}

.apresentacao__links__navegacao:hover {
    background-color: var(--cor-hover);
}


.rodape {
    position: absolute; 
    bottom: 0;
    width: 100%;
    padding: 15px;
    color: var(--cor-quatenaria);
    background-color: var(--cor-terciaria);
    text-align: center;
    font-size: 1.5rem;
    font-weight: 400;
}

@media (max-width: 768px) {

    body {
        margin: 10px; 
    }

    .cabecalho {
        padding: 2% 5%;
    }

    .cabecalho__menu {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 20px;
    }

    .titulo-destaque {
        font-size: 1.5rem; 
    }

    .apresentacao {
        padding: 6% 5%;
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 40px;
    }

    .apresentacao__conteudo {
        width: 100%;
        max-width: 500px;
        text-align: center;
    }

    .apresentacao__conteudo__texto {
        font-size: 1.25rem;
    }

    .apresentacao__links {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 20px;
    }

    .apresentacao__links__subtitulo {
        font-size: 1.25rem;
    }

    .apresentacao__links__navegacao {
        padding: 10px 10px; 
        font-size: 1.25rem; 
        width: 210px; 
        height: 65px; 
    }

    .apresentacao__imagem {
        width: 100%;
        max-width: 300px;
    }

    .apresentacao__imagemabout {
        width: 100%;
        max-width: 300px;
    }

    .rodape {
        padding: 15px 5%;
    }
}